# Confirm Launch

{% hint style="info" %}
An API Key is required to interact with Launchpad APIs. Please contact us to get an API Key and get started.
{% endhint %}

Use this endpoint to confirm and save the new launch.\
Once unsigned psbt is available from get-launch-psbt endpoint, the psbt needs to be signed by the PSBT needs to be signed by the wallet that owns all the pre inscribed inscriptions.  The signed psbt needs to be submitted to /save-launch endpoint for the launch to be confirmed.

### `POST` /launchpad/save-launch

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/launchpad/save-launch`

API Key is required in the header:

`headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }`

Example Request Body, this will confirm and save a new `launch`:

```json
{
  "launchpadId": "65a123b789cdef0123456789",
  "updateLaunchData": {
    "signedListingPSBT": "cHNidP8BAHECAAAAAfPQ0OTWpSxwRJK..."
  }
}
```

#### Request Body

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>launchpadId
</code></pre></td><td>String</td><td>launchpad id returned by the create launch api</td></tr><tr><td><pre><code>signedListingPSBT
</code></pre></td><td>String</td><td><p>The signed PSBT </p><p></p></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "message": "Launchpad listing is updated successfully"
}

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/preinscribedlaunchpad/confirm-launch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
